import { OnInit } from '@angular/core';
import { LayoutCode } from '@colijnit/transactionapi/build/enum/layout-code.enum';
import { TransactionTypeCategory } from '../../enum/transaction-type-category.enum';
import { HistoricReport } from '@colijnit/transactionapi/build/model/historic-report.bo';
import { TransactionHeaderBaseComponent } from '../core/base/transaction-header-base.component';
export declare class TransactionUndoDeliveryComponent extends TransactionHeaderBaseComponent implements OnInit {
    transactionTypeCategory: TransactionTypeCategory;
    showClass(): boolean;
    historicReports: HistoricReport[];
    showDialog: boolean;
    activeReport: HistoricReport;
    allowToUndoDelivery: boolean;
    showUndoLoader: boolean;
    selected: boolean;
    ngOnInit(): void;
    undoDelivery(reportId: number): void;
    getHistoricDocuments(): void;
    toggleUndoDeliveryDialog(): void;
    getLayoutCode(): LayoutCode;
    private _checkParams;
}
